<template>
  <div class="">
    <h4 class="card-title" :class="$i18n.locale == 'ar' ? 'hacen_algeria' : ''">
      {{ $t("view.user_info") }}
    </h4>

    <div class="tab-danger pt-3 row">
      <div class="col-6">
        <label
          for="input1"
          class="col-form-label"
          :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
        >
          {{ $t("view.name") }}
        </label>
        <input
          id="input1"
          type="text"
          class="form-control"
          :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
          v-model="user.name"
          @change="userChanged"
        />
      </div>

      <div class="col-6">
        <label
          for="input1"
          class="col-form-label"
          :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
        >
          {{ $t("view.email") }}
        </label>
        <input
          id="input1"
          type="text"
          class="form-control"
          :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
          v-model="user.email"
          @change="userChanged"
        />
      </div>

      <div class="col-6 mt-3">
        <CardMobile
          :label="$t('view.mobile')"
          :mobile="user.mobile"
          :country_code="user.country_code"
          @mobileChange="handleMobileChanged"
        />
      </div>

      <div class="col-6">
        <label
          for="input2"
          class="col-form-label"
          :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
        >
          {{ $t("view.civil_id") }}
        </label>
        <input
          id="input2"
          type="text"
          class="form-control"
          v-model="user.civil_id"
          :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
          @change="userChanged"
        />
      </div>
    </div>
  </div>
</template>

<script>
import CardMobile from "@/components/CardMobile";

export default {
  name: "FormClient",
  components: { CardMobile },
  data() {
    return {
      user: {
        name: "",
        email: "",
        mobile: "",
        country_code: "",
        civil_id: "",
      },
    };
  },
  methods: {
    userChanged() {
      this.$emit("userChanged", this.user);
    },
    handleMobileChanged(event) {
      this.user.country_code = event.code;
      this.user.mobile = event.mobile;
    },
  },
};
</script>
